Does CA Business Intelligence JasperReports 6.2 support TLS v1.2?

Document ID : KB000011621
Last Modified Date : 20/02/2018
Show Technical Document Details
Question:

Does CA Business Intelligence JasperReports 6.2 support TLS v1.2?

Environment:
CA Service Desk Manager 14.1.03Windows OSCA Business Intelligence JasperReports Server 6.2.0
Answer:

1. Jaspersoft supports running on top of any version of SSL protocol so long as the underlying application server (i.e. Apache Tomcat) supports configuration and use of that same protocol/version. 

2. SSL gets integrated at the application server level (i.e. Apache Tomcat) and is outside the bounds of the Jaspersoft application.

3. Based on the latest Jaspersoft certification matrix (https://docops.ca.com/ca-business-intelligence/6-1-0/en/release-information/certification-matrix), Jaspersoft supports Apache Tomcat 8.x. and JDK 1.8 both on Windows 2012 and Windows 2008 R2 SP1 

Since Jaspersoft support Apache Tomcat 8.x, then TLS 1.2 (which is supported by Apache Tomcat 8.x) is supported.